Skip to content
developers

Verify card

Browse API reference

POST/cards/verifyverifyCard

Use this method to verify a customer’s card details.

In the request, send the customer’s card details.

In the response, our gateway indicates if the card details are valid and if you should use them in follow-on actions.

Parameters

NameInTypeDescription
Idempotency-KeyRequiredheaderstring

Unique identifier that you generate for each request. You must use the UUID v4 format for the identifier. For more information about the idempotency key, go to Idempotency.

Request body

application/json · required
  • cardobjectrequired
    Polymorphic object that contains payment details.
    • cardobject
      Object that contains information about the customer’s payment card.
      • accountTypestring
        Indicates the customer’s account type. Note: Send a value for accountType only for bank account details.checkingsavings
      • cardDetailsobjectrequired
        Polymorphic object that contains payment card information. The value of the entryMethod parameter determines which variant you should use: raw Unencrypted payment data directly from the device. icc Payment data that the device captured from the chip. keyed Payment data that the merchant entered manually. swiped Payment data that the device captured from the magnetic strip.
        • rawobject
          Object that contains information about the unencrypted card details.
          • cardholderSignaturestring
            Cardholder's signature. For more information about how to format the signature, go to How to send a signature to our gateway.
          • deviceobjectrequired
            Object that contains information about the physical device the merchant used to capture the customer’s card details.
            • categorystring
              Indicates if the device is attended or unattended.attendedunattended
            • configobject
              Object that contains information about the configuration of the POS terminal.
              • quickChipbooleanrequired
                Indicates if Quick Chip mode is active on a merchant’s POS terminal.
            • firmwareVersionstring
              Firmware version of the physical device.
            • modelstringrequired
              Model of the device that the merchant used to process the transaction.bbposChpbbposChp2xbbposChp3xbbposRamblerbbposWpbbposWp2bbposWp3genericCtlsMsr+32 more
            • serialNumberstringrequired
              Serial number of the physical device.1–64 chars
          • downgradeTostring
            If an offline transaction is not approved using the initial entry method, reprocess the transaction using a downgraded entry method. For example, an Integrated Circuit Card (ICC) transaction can be downgraded to a swiped transaction or to a keyed transaction.keyedswiped
          • entryMethodstringrequired
            Method that the terminal used to capture the card details.raw
          • rawDatastringhexadecimalrequired
            Unencrypted data from the POS terminal.1–2147483647 chars
        • iccobject
          Object that contains information about the Integrated Circuit Card (ICC).
          • cardholderSignaturestring
            Cardholder's signature. For more information about how to format the signature, go to How to send a signature to our gateway.
          • deviceobjectrequired
            Object that contains information about the encryption details of the POS terminal.
            • categorystring
              Indicates if the device is attended or unattended.attendedunattended
            • configobject
              Object that contains information about the configuration of the POS terminal.
              • quickChipbooleanrequired
                Indicates if Quick Chip mode is active on a merchant’s POS terminal.
            • firmwareVersionstring
              Firmware version of the physical device.
            • modelstringrequired
              Model of the device that the merchant used to process the transaction.bbposChpbbposChp2xbbposChp3xbbposRamblerbbposWpbbposWp2bbposWp3genericCtlsMsr+32 more
            • serialNumberstringrequired
              Serial number of the physical device.1–64 chars
            • dataKsnstringhexadecimalrequired
              Key serial number.20–20 chars
          • downgradeTostring
            If an offline transaction is not approved using the initial entry method, reprocess the transaction using a downgraded entry method. For example, an Integrated Circuit Card (ICC) transaction can be downgraded to a swiped transaction or a keyed transaction.keyedswiped
          • ebtDetailsobject
            Object that contains information about the Electronic Benefit Transfer (EBT) transaction.
            • benefitCategorystringrequired
              Indicates if the balance relates to an EBT Cash account or an EBT SNAP account. cash – EBT Cash foodStamp – EBT SNAPcashfoodStamp
            • withdrawalboolean
              Indicates whether the customer wants to withdraw cash. Note: Cash withdrawals are available only from EBT Cash accounts.
            • voucherobject
              Object that contains information about the EBT voucher. Note: Vouchers are available only for EBT SNAP payments.
              • approvalCodestringrequired
                Authorization code that the processor issued for the transaction.6–6 chars
              • serialNumberstringrequired
                Serial number of the voucher.7–15 chars
          • entryMethodstringrequired
            Method that the terminal used to capture the card details.icc
          • firstDigitOfPanstring
            First digit of the card number.1–1 chars
          • iccDatastringhexadecimalrequired
            Cardholder data from the ICC. The data consists of EMV tags in Tag-Length-Value (TLV) format.
        • keyedobject
          Object that contains information about the keyed card details.
          • cardholderNamestring
            Cardholder’s name.1–50 chars
          • cardholderSignaturestring
            Cardholder's signature. For more information about how to format the signature, go to How to send a signature to our gateway.
          • ebtDetailsobject
            Object that contains information about the Electronic Benefit Transfer (EBT) transaction.
            • benefitCategorystringrequired
              Indicates if the balance relates to an EBT Cash account or an EBT SNAP account. cash – EBT Cash foodStamp – EBT SNAPcashfoodStamp
            • withdrawalboolean
              Indicates whether the customer wants to withdraw cash. Note: Cash withdrawals are available only from EBT Cash accounts.
            • voucherobject
              Object that contains information about the EBT voucher. Note: Vouchers are available only for EBT SNAP payments.
              • approvalCodestringrequired
                Authorization code that the processor issued for the transaction.6–6 chars
              • serialNumberstringrequired
                Serial number of the voucher.7–15 chars
          • entryMethodstringrequired
            Method that the terminal used to capture the card details.keyed
          • keyedDataobjectrequired
            Polymorphic object that contains payment card details that the merchant manually entered into the device. The value of the dataFormat parameter determines which variant you should use: fullyEncrypted All payment card details are encrypted. partiallyEncrypted Some payment card details are encrypted. plainText Payment card details are in plain text.
            • fullyEncryptedobject
              Object that contains information about the encrypted card data for keyed transactions.
              • dataFormatstringrequired
                Indicates the data format of the customer’s card data. plainText – Data is not truncated and shows the raw data. fullyEncrypted – Data is truncated to show only the first digit of the customer’s account number. partiallyEncrypted – Data is truncated to show only the first six digits and the last four digits of the customer’s card number.fullyEncrypted
              • deviceobjectrequired
                Object that contains information about the encryption details of the POS terminal.
                • categorystring
                  Indicates if the device is attended or unattended.attendedunattended
                • configobject
                  Object that contains information about the configuration of the POS terminal.
                  • quickChipbooleanrequired
                    Indicates if Quick Chip mode is active on a merchant’s POS terminal.
                • firmwareVersionstring
                  Firmware version of the physical device.
                • modelstringrequired
                  Model of the device that the merchant used to process the transaction.bbposChpbbposChp2xbbposChp3xbbposRamblerbbposWpbbposWp2bbposWp3genericCtlsMsr+32 more
                • serialNumberstringrequired
                  Serial number of the physical device.1–64 chars
                • dataKsnstringhexadecimalrequired
                  Key serial number.20–20 chars
              • encryptedDatastringhexadecimalrequired
                Encrypted card data.1–2147483647 chars
              • firstDigitOfPanstring
                First digit of the customer’s card number.1–1 chars
            • partiallyEncryptedobject
              Object that contains information about the partially-encrypted card data for keyed transactions.
              • cvvstring
                Security code of the customer’s card.[0-9]{3,4}
              • cvvEncryptedstringhexadecimal
                Encrypted security code data.
              • dataFormatstringrequired
                Indicates the data format of the customer’s card data. plainText – Data is not truncated and shows the raw data. fullyEncrypted – Data is truncated to show only the first digit of the customer’s account number. partiallyEncrypted – Data is truncated to show only the first six digits and the last four digits of the customer’s card number.partiallyEncrypted
              • deviceobjectrequired
                Object that contains information about the encryption details of the POS terminal.
                • categorystring
                  Indicates if the device is attended or unattended.attendedunattended
                • configobject
                  Object that contains information about the configuration of the POS terminal.
                  • quickChipbooleanrequired
                    Indicates if Quick Chip mode is active on a merchant’s POS terminal.
                • firmwareVersionstring
                  Firmware version of the physical device.
                • modelstringrequired
                  Model of the device that the merchant used to process the transaction.bbposChpbbposChp2xbbposChp3xbbposRamblerbbposWpbbposWp2bbposWp3genericCtlsMsr+32 more
                • serialNumberstringrequired
                  Serial number of the physical device.1–64 chars
                • dataKsnstringhexadecimalrequired
                  Key serial number.20–20 chars
              • encryptedPanstringhexadecimalrequired
                Encrypted card number.1–2147483647 chars
              • expiryDatestringrequired
                Expiry date of the customer’s card.[0-9]{4}
              • issueNumberstring
                Issue number of the customer’s card.[0-9]{1,2}
              • maskedPanstringrequired
                Masked card number. The gateway shows only the first six digits and the last four digits of the account number. For example, 453985******7062.12–19 chars
            • plainTextobject
              Object that contains information about the plain-text card data for keyed transactions.
              • cardNumberstringrequired
                Customer’s card number.12–19 chars
              • cvvstring
                Security code of the customer’s card.[0-9]{3,4}
              • dataFormatstringrequired
                Indicates the data format of the customer’s card data. plainText – Data is not truncated and shows the raw data. fullyEncrypted – Data is truncated to show only the first digit of the customer’s account number. partiallyEncrypted – Data is truncated to show only the first six digits and the last four digits of the customer’s card number.plainText
              • deviceobject
                Object that contains information about the physical device the merchant used to capture the customer’s card details.
                • categorystring
                  Indicates if the device is attended or unattended.attendedunattended
                • configobject
                  Object that contains information about the configuration of the POS terminal.
                  • quickChipbooleanrequired
                    Indicates if Quick Chip mode is active on a merchant’s POS terminal.
                • firmwareVersionstring
                  Firmware version of the physical device.
                • modelstringrequired
                  Model of the device that the merchant used to process the transaction.bbposChpbbposChp2xbbposChp3xbbposRamblerbbposWpbbposWp2bbposWp3genericCtlsMsr+32 more
                • serialNumberstringrequired
                  Serial number of the physical device.1–64 chars
              • expiryDatestring
                Expiry date of the customer’s card. Note: We require you to send an expiry date for most BIN lookups and electronic voucher transactions.[0-9]{4}
              • issueNumberstring
                Issue number of the customer’s card.[0-9]{1,2}
          • pinDetailsobject
            Polymorphic object that contains information about the customer's PIN.
            • dukptobject
              Object that contains information about encrypted PIN details.
              • dataFormatstringrequired
                Indicates the format of the PIN data.dukpt
              • pinstringhexadecimalrequired
                Encrypted PIN. Note: PIN is encrypted using the DUKPT scheme.1–2147483647 chars
              • pinKsnstringhexadecimalrequired
                Key serial number.20–20 chars
        • swipedobject
          Object that contains information about the customer’s card details for swiped transactions.
          • cardholderNamestring
            Cardholder’s name.0–50 chars
          • cardholderSignaturestring
            Cardholder's signature. For more information about how to format the signature, go to How to send a signature to our gateway.
          • downgradeTostring
            If an offline transaction is not approved using the initial entry method, reprocess the transaction using a downgraded entry method. For example, a swiped transaction can be downgraded to a keyed transaction.keyedswiped
          • ebtDetailsobject
            Object that contains information about the Electronic Benefit Transfer (EBT) transaction.
            • benefitCategorystringrequired
              Indicates if the balance relates to an EBT Cash account or an EBT SNAP account. cash – EBT Cash foodStamp – EBT SNAPcashfoodStamp
            • withdrawalboolean
              Indicates whether the customer wants to withdraw cash. Note: Cash withdrawals are available only from EBT Cash accounts.
            • voucherobject
              Object that contains information about the EBT voucher. Note: Vouchers are available only for EBT SNAP payments.
              • approvalCodestringrequired
                Authorization code that the processor issued for the transaction.6–6 chars
              • serialNumberstringrequired
                Serial number of the voucher.7–15 chars
          • entryMethodstringrequired
            Method that the terminal used to capture the card details.swiped
          • pinDetailsobject
            Polymorphic object that contains information about the customer's PIN.
            • dukptobject
              Object that contains information about encrypted PIN details.
              • dataFormatstringrequired
                Indicates the format of the PIN data.dukpt
              • pinstringhexadecimalrequired
                Encrypted PIN. Note: PIN is encrypted using the DUKPT scheme.1–2147483647 chars
              • pinKsnstringhexadecimalrequired
                Key serial number.20–20 chars
          • swipedDataobjectrequired
            Polymorphic object that contains payment card details that a device captured from the magnetic strip. The value of the dataFormat parameter determines which variant you should use: encrypted Payment card details are encrypted. plainText Payment card details are in plain text.
            • encryptedobject
              Object that contains information about the encrypted swiped card data.
              • dataFormatstringrequired
                Format of the card data.encrypted
              • deviceobjectrequired
                Object that contains information about the encryption details of the POS terminal.
                • categorystring
                  Indicates if the device is attended or unattended.attendedunattended
                • configobject
                  Object that contains information about the configuration of the POS terminal.
                  • quickChipbooleanrequired
                    Indicates if Quick Chip mode is active on a merchant’s POS terminal.
                • firmwareVersionstring
                  Firmware version of the physical device.
                • modelstringrequired
                  Model of the device that the merchant used to process the transaction.bbposChpbbposChp2xbbposChp3xbbposRamblerbbposWpbbposWp2bbposWp3genericCtlsMsr+32 more
                • serialNumberstringrequired
                  Serial number of the physical device.1–64 chars
                • dataKsnstringhexadecimalrequired
                  Key serial number.20–20 chars
              • encryptedDatastringhexadecimalrequired
                Encrypted data received from the magnetic stripe reader.1–2147483647 chars
              • fallbackboolean
                Indicates that this is a fallback transaction. For example, if there was a technical issue with the chip on the customer's card and the merchant then swiped the card.
              • fallbackReasonstring
                Reason for the fallback.technicalrepeatFallbackemptyCandidateList
              • firstDigitOfPanstring
                First digit of the of the card number.1–1 chars
            • plainTextobject
              Object that contains information about plain-text swiped card data.
              • dataFormatstringrequired
                Indicates the method the customer’s card data is encrypted. Send swiped card data in encrypted format or plainText format.plainText
              • deviceobjectrequired
                Object that contains information about the physical device the merchant used to capture the customer’s card details.
                • categorystring
                  Indicates if the device is attended or unattended.attendedunattended
                • configobject
                  Object that contains information about the configuration of the POS terminal.
                  • quickChipbooleanrequired
                    Indicates if Quick Chip mode is active on a merchant’s POS terminal.
                • firmwareVersionstring
                  Firmware version of the physical device.
                • modelstringrequired
                  Model of the device that the merchant used to process the transaction.bbposChpbbposChp2xbbposChp3xbbposRamblerbbposWpbbposWp2bbposWp3genericCtlsMsr+32 more
                • serialNumberstringrequired
                  Serial number of the physical device.1–64 chars
              • fallbackboolean
                Indicates that this is a fallback transaction. For example, if there was a technical issue with the chip on the customer's card and the merchant then swiped the card.
              • fallbackReasonstring
                Reason for the fallback.technicalrepeatFallbackemptyCandidateList
              • trackDatastringrequired
                Customer’s card data from the swiped transaction.16–256 chars
      • typestringrequired
        Method that the terminal used to take the payment.card
  • customerobject
    Object that contains the customer's contact details and address information. Contains parameters required for Level 2, Level 3, and CEDP transactions.
    • billingAddressobject
      Object that contains information about the address.
      • address1stringrequired
        Address line 1.≤ 150 chars
      • address2string
        Address line 2.≤ 150 chars
      • address3string
        Address line 3.≤ 150 chars
      • citystringrequired
        City.≤ 50 chars
      • countrystringrequired
        Two-digit country code for the country that the business operates in. The format follows the ISO-3166-1 standard.2–2 chars
      • postalCodestringrequired
        Zip code or postal code.≤ 10 chars
      • statestringrequired
        Name of the state or state abbreviation.≤ 50 chars
    • contactMethodsobject[]
      Array of polymorphic objects, which contain contact information. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number
      • emailobject
        • typestringrequired
          Type of contact method.email
        • valuestringrequired
          Email address.≤ 50 chars
      • phoneobject
        • typestringrequired
          Type of contact method.phone
        • valuestringrequired
          Phone number.≤ 15 chars
      • mobileobject
        • typestringrequired
          Type of contact method.mobile
        • valuestringrequired
          Mobile number.≤ 15 chars
      • faxobject
        • typestringrequired
          Type of contact method.fax
        • valuestringrequired
          Fax number.≤ 15 chars
    • dateOfBirthstringdate
      Customer's date of birth. The format for this value is YYYY-MM-DD.
    • firstNamestring
      Customer's first name.0–60 chars
    • lastNamestring
      Customer's last name.0–60 chars
    • notificationLanguagestringiso-639-1
      Language that the customer uses for notifications. This code follows the ISO 639-1 alpha-2 standard.2–2 charsenfr
    • referenceNumberstring
      Identifier of the transaction, also known as a customer code. For requests, you must send a value for referenceNumber if the customer provides one. Required for Level 2, Level 3, and CEDP transactions.0–48 chars
    • shippingAddressobject
      Object that contains information about the customer and their shipping address. Contains parameters required for Level 3 and CEDP transactions.
      • addressobject
        Object that contains information about the address.
        • address1stringrequired
          Address line 1.≤ 150 chars
        • address2string
          Address line 2.≤ 150 chars
        • address3string
          Address line 3.≤ 150 chars
        • citystringrequired
          City.≤ 50 chars
        • countrystringrequired
          Two-digit country code for the country that the business operates in. The format follows the ISO-3166-1 standard.2–2 chars
        • postalCodestringrequired
          Zip code or postal code.≤ 10 chars
        • statestringrequired
          Name of the state or state abbreviation.≤ 50 chars
      • recipientNamestring
        Recipient's name. Required for Level 3 and CEDP transactions.0–50 chars
  • operatorstring
    Operator who requested to verify the card.0–50 chars
  • processingTerminalIdstringrequired
    Unique identifier that we assigned to the terminal.4–50 chars

Responses

Successful request. Returns the verification status of the card details.

200 OK · application/json
{
  "card": {
    "cardNumber": "453985******7062",
    "cardholderName": "Sarah Hazel Hopper",
    "cardholderSignature": "a1b1c012345678a000b000c0012345d0e0f010g10061a031i001j071k0a1b0c1d0e1234567890120f1g0h1i0j1k0a1b0123451c012d0e1f0g1h0i1j123k1a1b1c1d1e1f1g123h1i1j1k1a1b1c1d1e1f1g123h123i1j123k12340a120a12345b012c0123012d0d1e0f1g0h1i123j123k10000",
    "entryMethod": "keyed",
    "expiryDate": "1230",
    "type": "Visa Credit"
  },
  "operator": "Jane",
  "processingTerminalId": "1234001",
  "transactionResult": {
    "processorResponseCode": "00",
    "responseCode": "A",
    "responseMessage": "APPROVAL",
    "status": "ready"
  },
  "verified": true
}
Response schema · 41 fields
  • cardobject
    Object that contains the details of the payment card.
    • balancesobject[]
      Array of cardBalance objects. Our gateway returns this array only when the customer uses an Electronic Benefit Transfer (EBT) card.
      • amountintegerint64required
        Current balance of the account. This value is in the currency's lowest denomination, for example, cents.
      • benefitCategorystringrequired
        Indicates if the balance relates to an EBT Cash account or EBT SNAP account. cash – EBT Cash foodStamp – EBT SNAPcashfoodStamp
      • currencystringrequired
        Currency of the transaction. The value for the currency follows the ISO 4217 standard.AEDAFNALLAMDANGAOAARSAUD+163 more
    • cardNumberstringrequired
      Card number. In the response, our gateway shows only the first six digits and the last four digits of the card number, for example, 500165******0000.12–19 chars
    • cardholderNamestring
      Cardholder’s name.1–50 chars
    • cardholderSignaturestring
      Cardholder’s signature.
    • emvTagsobject[]
      Array of emvTag objects.
      • hexstringrequired
        Hex code of the EMV tag.
      • valuestringrequired
        Value of the EMV tag.
    • entryMethodstringrequired
      Method that the device used to capture the card details.icckeyedswipedswipedFallbackcontactlessIcccontactlessMsr
    • expiryDatestringrequired
      Expiry date of the customer's card. The format is in MMYY.[0-9]{4}
    • secureTokenobject
      Object that contains information about the secure token.
      • customerNamestringrequired
        Customer's name.1–50 chars
      • linkobject
        Object that contains HATEOAS links for the resource.
        • hrefstringrequired
          URL of the target resource.
        • methodstringrequired
          HTTP method that you need to use with the target resource.
        • relstringrequired
          Indicates the relationship between the current resource and the target resource.
      • secureTokenIdstringrequired
        Unique identifier that the merchant assigned to the secure token.1–200 chars
      • statusstringrequired
        Status of the customer's bank account. The processor performs a security check on the customer's bank account and returns the status of the account. Note: Depending on the merchant's account settings, this feature may be unavailable.notValidatedcvvValidatedvalidationFailedissueNumberValidatedcardNumberValidatedbankAccountValidated
      • tokenstringrequired
        Token that the merchant can use in future transactions to represent the customer's payment details. The token: Begins with the six-digit identification number 296753. Contains up to 12 digits. Contains a single check digit that we calculate using the Luhn algorithm.12–19 chars
    • securityChecksobject
      Object that contains information about card verification and security checks.
      • avsResultstring
        Indicates if the address that the customer provided in the request matches the address linked to the card. Y – The address in the request matches the address linked to the card. N – The address in the request doesn’t match the address linked to the card. A – The street address matches, but ZIP code or postal code doesn’t match. Z The ZIP code or postal code matches, but street address doesn’t match. U – The address information is unavailable. G – The issuer or card brand doesn’t support the Address Verification Service (AVS). R – The AVS is currently unavailable. Try again later. S – There was no AVS data in the request, or it was sent in the wrong format. F For UK addresses, the address in the request matches the address linked to the card. W – For US addresses, the nine-digit ZIP code or postal code in the request matches the address linked to the card but the street address doesn’t. X – For US addresses, the nine-digit ZIP code or postal code and the street address matches the address linked to the card. Note: Our gateway doesn’t automatically decline transactions when the address doesn’t match the address linked to the card, unless the merchant selects this setting in their account.YAZNURGS+3 more
      • cvvResultstring
        Indicates if the card verification value (CVV) that the customer provided in the request matches the CVV on the card. M – The CVV matches the card’s CVV. N – The CVV doesn’t match the card’s CVV. P – The CVV wasn’t processed. U – The CVV isn’t registered. Note: Our gateway doesn’t automatically decline transactions when the CVV doesn’t match the card’s CVV, unless the merchant selects this setting in their account.MNPU
    • typestringrequired
      Card brand of the card, for example, Visa.
  • operatorstring
    Operator who requested to verify the card.0–50 chars
  • processingTerminalIdstringrequired
    Unique identifier that we assigned to the terminal.4–50 chars
  • transactionResultobject
    Object that contains information about the transaction response details.
    • approvalCodestring
      Authorization code that the processor assigned to the transaction.1–48 chars
    • authorizedAmountintegerint64
      Amount that the processor authorized for the transaction. This value is in the currency’s lowest denomination, for example, cents. Notes: For partial authorizations, this amount is lower than the amount in the request. If the value for authorizedAmount is negative, this indicates that the merchant sent funds to the customer.
    • cardSchemeReferenceIdstring
      Identifier that the card brand assigns to the payment instruction.1–64 chars
    • currencystring
      Currency of the transaction. The value for the currency follows the ISO 4217 standard.AEDAFNALLAMDANGAOAARSAUD+163 more
    • ebtTypestring
      Indicates the subtype of EBT in the transaction.cashPurchasecashPurchaseWithCashbackfoodStampPurchasefoodStampVoucherPurchasefoodStampReturnfoodStampVoucherReturncashBalanceInquiryfoodStampBalanceInquiry+1 more
    • healthcareIndicatorstring
      Indicates if we processed the payment as a healthcare expense. The value is one of the following: Y We processed the payment as a healthcare expense. N We processed the payment but it didn't contain any healthcare expenses. C We processed the payment but the card isn't linked to a Flexible Spending Account (FSA) or a Health Savings Account (HSA). R We processed the payment but the card doesn't support healthcare expenses.YNCR
    • processorResponseCodestring
      Original response code that the processor sent.
    • responseCodestringrequired
      Response from the processor. A The processor approved the transaction. D The processor declined the transaction. E The processor received the transaction but will process the transaction later. P The processor authorized a portion of the original amount of the transaction. R The issuer declined the transaction and indicated that the customer should contact their bank. C The issuer declined the transaction and indicated that the merchant should keep the card as it was reported lost or stolen.ADEPRC
    • responseMessagestring
      Response description from the processor.1–48 chars
    • statusstringrequired
      Status of the transaction. The value is one of the following: ready Successful transaction. We added the payment to the open batch. pending Successful transaction. We added the payment to the open batch, but we don't collect the funds until the merchant captures the transaction. declined Unsuccessful transaction. The cardholder's issuing bank declined the transaction. complete Successful transaction. The funds have moved to the merchant's bank account. referral Unsuccessful transaction. The issuing bank identified an issue with the transaction. You should treat a referral status as a declined transaction. pickup Unsuccessful transaction. The issuing bank has reported that the card is lost or stolen. reversal Transaction canceled. The transaction was canceled, and we removed the transaction from the open batch. admin Transaction under review. We have flagged an issue with the transaction. expired Transaction expired. If a transaction stays in pending status for too long, it expires. accepted Transaction in progress. The transaction is in progress with the processor but we can't confirm the result yet.readypendingdeclinedcompletereferralpickupreversaladmin+2 more
    • typestring
      Transaction type.salerefundpreAuthorizationpreAuthorizationCompletion
  • verifiedbooleanrequired
    Indicates if the card details are valid: true Card details are valid. false Card details are not valid.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer